## org.hibernate.ejb.event
Class EJB3AutoFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultAutoFlushEventListener
              org.hibernate.ejb.event.EJB3AutoFlushEventListener

All Implemented Interfaces:
  Serializable, AutoFlushEventListener

    public class EJB3AutoFlushEventListener

extends DefaultAutoFlushEventListener

In EJB3, it is the create operation that is cascaded to unmanaged entities at flush time (instead of the save-update operation in Hibernate).

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static AutoFlushEventListener` `INSTANCE`

Constructor Summary
`EJB3AutoFlushEventListener()`

Method Summary
`protected Object` `getAnything()`
`protected CascadingAction` `getCascadingAction()`

Methods inherited from class org.hibernate.event.def.DefaultAutoFlushEventListener
`onAutoFlush`

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
`flushEverythingToExecutions, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AutoFlushEventListener INSTANCE

Constructor Detail

### EJB3AutoFlushEventListener

    public EJB3AutoFlushEventListener()

Method Detail

### getCascadingAction

    protected CascadingAction getCascadingAction()

  Overrides:
    `getCascadingAction` in class `AbstractFlushingEventListener`

### getAnything

    protected Object getAnything()

  Overrides:
    `getAnything` in class `AbstractFlushingEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.